import pygame
pygame.init()

import classes.MenuItem
import classes.Label


class EntryFieldIncrementDecrement(pygame.sprite.Group):
	def __init__(self,
		_data):
		"""
		
		"""
		super(EntryFieldIncrementDecrement, self).__init__()
		
		self.data = _data
		
		# Number of blocks to generate.  Will be converted to str for displaying.
		self.n_blocks = self.data["n_blocks"]		
		self.n_blocks_old_value = self.n_blocks
		
		# Create increment button
		self.button_increment = classes.MenuItem.MenuItem(self.data["buttons"]["increment"])
		
		# Create decrement button
		self.button_decrement = classes.MenuItem.MenuItem(self.data["buttons"]["decrement"])
		
		# Create entry field that shows the current number.
		self.current_number = classes.Label.Label(self.data["current_number"])
		self.current_number.change_value(str(self.n_blocks))

		self.add(self.button_increment)
		self.add(self.button_decrement)
		self.add(self.current_number)
	
	
	def update(self):
		"""Updates the object.
		
		"""
		super(EntryFieldIncrementDecrement, self).update()
		
		if self.n_blocks != self.n_blocks_old_value:			
			self.current_number.change_value(str(self.n_blocks))
			self.n_blocks_old_value = self.n_blocks