import pygame
pygame.init()

import helpers.helpers


class MenuItem(pygame.sprite.Sprite):
	def __init__(
		self, 
		_data):
		"""
		
		"""
		super(MenuItem, self).__init__()
		
		self.return_value = _data["return_value"]		
		self.is_active = False
		
		font_normal = helpers.helpers.load_font(
			_data["font"],
			_data["font_size"])
		
		font_active = helpers.helpers.load_font(
			_data["font"],
			_data["hover_font_size"])
		
		self.text_normal = pygame.sprite.Sprite()
		
		self.text_normal.image = font_normal.render(
			_data["label"],
			True,
			_data["fgcolour"],
			_data["bgcolour"]
		)
		self.text_normal.rect = self.text_normal.image.get_rect()
		
		if _data["pos_anchor"] == "centerxy":
			self.text_normal.rect.centerx = _data["pos_x"]
			self.text_normal.rect.centery = _data["pos_y"]			
			
			
		self.text_active = pygame.sprite.Sprite()		
		
		self.text_active.image = font_active.render(
			_data["label"],
			True,
			_data["hover_fgcolour"],
			_data["hover_bgcolour"]
		)
		self.text_active.rect = self.text_active.image.get_rect()
		
		if _data["pos_anchor"] == "centerxy":
			self.text_active.rect.centerx = _data["pos_x"]
			self.text_active.rect.centery = _data["pos_y"]

		self.image = self.text_normal.image
		self.rect = self.text_normal.rect
	
	
	def update(self):
		if self.rect.collidepoint(pygame.mouse.get_pos()):
			self.image = self.text_active.image
			self.rect = self.text_active.rect
			self.is_active = True
		else:
			self.image = self.text_normal.image
			self.rect = self.text_normal.rect
			self.is_active = False