import pygame
pygame.init()


import classes.Scene
import constants.core
import classes.MenuItem
import classes.Label

class MenuScene(classes.Scene.Scene):
	"""Represents a MenuScene.
	
	"""
	def __init__(self,
		_window,
		_data,
		_dynamic_data):
		"""Initialises the menu scene.
		
		"""
		super(
			MenuScene,
			self).__init__(
				_window,
				_data,
				_dynamic_data)
		
		self.heading = pygame.sprite.GroupSingle()
		self.heading.add(
			classes.Label.Label(
				_data["heading"]))
		
		self.menu_items = pygame.sprite.Group()
		for x in _data["menu_items"]:
			self.menu_items.add(
				classes.MenuItem.MenuItem(
					_data["menu_items"][x]))
					
		# Override background colour.
		self.background_colour = _data["bg_colour"]					
	
	
	def process_events(self):
		super(
			MenuScene,
			self).process_events()
		
		for menu_item in self.menu_items:
			if menu_item.is_active:
				if pygame.mouse.get_pressed()[0] == True \
				and self.right_mouse_button_already_down == False:
					self.set_return_data([menu_item.return_value])
					self.running = False
		
		
	def update_objects(self):
		self.menu_items.update()
		
	
	def draw_objects(self):
		self.heading.draw(self.window)
		self.menu_items.draw(self.window)