import pygame
pygame.init()

import classes.Rectangle


class RectangleSetup(pygame.sprite.Sprite):
	def __init__(
		self,
		_data):
		"""
		
		"""
		super(RectangleSetup, self).__init__()
		
		base_data = _data["base_data"]
		advanced_data = _data["advanced_data"]
		chosen_data = _data["chosen_data"]
		
		self.rectangle_normal = classes.Rectangle.Rectangle(base_data)
		self.rectangle_active = classes.Rectangle.Rectangle(
		advanced_data)
		self.rectangle_chosen = classes.Rectangle.Rectangle(
		chosen_data)		
		
		self.image = self.rectangle_normal.image
		self.rect = self.rectangle_normal.rect
		
		self.is_active = False
		self.chosen = False
		
		self.colour = _data["colour"]
		
		
	
	def update(self):
		if self.rect.collidepoint(pygame.mouse.get_pos()):
			self.image = self.rectangle_active.image
			self.rect = self.rectangle_active.rect
			self.is_active = True
		else:
			self.image = self.rectangle_normal.image
			self.rect = self.rectangle_normal.rect
			self.is_active = False
		
		if self.chosen:
			self.image = self.rectangle_chosen.image
			self.rect = self.rectangle_chosen.rect	
	
	
	def set_chosen(self):
		"""
		Sets a value within the instance to indicate that the block has been chosen.
		
		This will permanentely leave the size active.
		"""
		self.chosen = True
		
		
	def set_unchosen(self):
		"""
		Sets a value within the instance to indicate that the block has been unchosen.
		
		This will permanentely leave the size normal (except when highlighted).
		"""
		self.chosen = False	