import random
import sqlite3
import os.path

import pygame
pygame.init()

import constants.core
import classes.MenuScene

class SceneGenerateTower(classes.MenuScene.MenuScene):
	def __init__(self,
		_window,
		_data,
		_dynamic_data):
		"""Initialises the menu scene.
		
		"""
		menu_scene_data = _data["menu_scene_data"]
		data = _data["scene_generate_tower"]
		
		super(
			SceneGenerateTower,
			self).__init__(
				_window,
				menu_scene_data,
				_dynamic_data)
				
		# Generate randomised data.
		colours = _dynamic_data[0]
		n_blocks = _dynamic_data[1]
		
		sequence = ','.join([constants.core.LOOKUP_COLOUR_NUMBER[random.choice(colours)] for x in range(n_blocks)])
		
		# Insert statement preparation
		insert_stmt = "INSERT INTO %s (n_blocks, red, blue, yellow, green, grey, purple, sequence) VALUES (%d, %d, %d, %d, %d, %d, %d, '%s')" % \
			(constants.core.DB_TABLE_TOWER,
			n_blocks,
			1 if "red" in colours else 0,
			1 if "blue" in colours else 0,
			1 if "yellow" in colours else 0,
			1 if "green" in colours else 0,
			1 if "grey" in colours else 0,
			1 if "purple" in colours else 0,
			sequence)
			
		# Write to SQLite database now.
		db_conn = sqlite3.connect(
			os.path.join(
				os.getcwd(),
				constants.core.DB_DIR,
				constants.core.DB_NAME))
				
		db_cursor = db_conn.cursor()
		db_cursor.execute(insert_stmt)
		db_conn.commit()
		db_conn.close()