import pygame
pygame.init()

import classes.MenuScene
import classes.TowerChooser


class ScenePlayChooseTower(classes.MenuScene.MenuScene):
	def __init__(
		self,
		_window,
		_data,
		_dynamic_data):
		"""
		
		"""
		menu_scene_data = _data["menu_scene_data"]
		data = _data["scene_play_choose_tower"]
		
		super(
			ScenePlayChooseTower,
			self).__init__(
				_window,
				menu_scene_data,
				_dynamic_data)
		
		self.tower_chooser = classes.TowerChooser.TowerChooser(data)
	
	
	def process_events(self):
		super(
			ScenePlayChooseTower,
			self).process_events()
			
		# Check button increment:
		if self.tower_chooser.next_tower_button.is_active:
			if pygame.mouse.get_pressed()[0] == True \
			and self.right_mouse_button_already_down == False:
				# Show next tower.
				if self.tower_chooser.cur_id < (self.tower_chooser.max_towers - 1):
					self.tower_chooser.cur_id += 1
					self.tower_chooser.update_tower()
				
		# Check button decrement:
		if self.tower_chooser.previous_tower_button.is_active:
			if pygame.mouse.get_pressed()[0] == True \
			and self.right_mouse_button_already_down == False:
				# Decrease number of blocks to generate.
				if self.tower_chooser.cur_id > 0:
					self.tower_chooser.cur_id -= 1
					self.tower_chooser.update_tower()
					
		if self.running == False:
			if self.return_data[0] == "scene_play":
				self.return_data = [
					self.return_data[0],
					self.tower_chooser.cur_tower_data]					

	
	def update_objects(self):
		super(ScenePlayChooseTower, self).update_objects()
		self.tower_chooser.update()
	
	
	def draw_objects(self):
		super(ScenePlayChooseTower, self).draw_objects()
		self.tower_chooser.draw(self.window)