import string
import sqlite3
import os.path


import pygame
pygame.init()

import classes.MenuScene
import classes.Label
import constants.core

class SceneScore(classes.MenuScene.MenuScene):
	def __init__(
		self,
		_window,
		_data,
		_dynamic_data):
		"""
		
		"""
		menu_scene_data = _data["menu_scene_data"]
		
		super(
			SceneScore,
			self).__init__(
				_window,
				menu_scene_data,
				_dynamic_data)
								
		self.dynamic_data = _dynamic_data
		self.millis = int(self.dynamic_data[1])
		self.tower_id = self.dynamic_data[0]				
				
		if self.check_if_new_record():
			# Write to DB if that is the case, otherwise don't.
			self.write_score_to_db()
			# Also show an extra message "New record."
			self.show_new_record_message = True
		else:
			self.show_new_record_message = False
					
		extra_data = _data["extra_data"]		
		self.your_time = classes.Label.Label(extra_data["score"])
		
		milliseconds = (self.millis % 1000) / 10
		seconds = (self.millis / 1000) % 60
		seconds = int(seconds)
		minutes = (self.millis / (1000 * 60)) % 60
		minutes = int(minutes)
		hours = (self.millis / (1000 * 60 * 60)) % 24

		hms = "Your time: %.2d:%.2d:%.2d:%.2d" % (hours, minutes, seconds, milliseconds)
		if self.show_new_record_message:
			hms += " - NEW RECORD!"
		self.your_time.change_value(hms)
		

	
	
	def draw_objects(self):
		super(SceneScore, self).draw_objects()
		self.window.blit(self.your_time.image, self.your_time.rect)
		
	
	def check_if_new_record(self):
		"""
		
		"""
		db_conn = sqlite3.connect(
			os.path.join(
				os.getcwd(),
				constants.core.DB_DIR,
				constants.core.DB_NAME))
				
		db_cursor = db_conn.cursor()
				
		db_cursor.execute("SELECT * FROM %s WHERE tower_id = %s" % (constants.core.DB_TABLE_HIGHSCORE, self.tower_id))
		result = db_cursor.fetchone()
		db_conn.close()
		print(result)
		if result == None:
			return True
		elif result[1] > self.millis:
			return True
		else:
			return False
			
		
	
	def write_score_to_db(self):
		"""
		
		"""
		db_conn = sqlite3.connect(
			os.path.join(
				os.getcwd(),
				constants.core.DB_DIR,
				constants.core.DB_NAME))
				
		db_cursor = db_conn.cursor()
		db_cursor.execute("DELETE FROM %s WHERE tower_id = %d" % (constants.core.DB_TABLE_HIGHSCORE, self.tower_id))
		db_conn.commit()
		
		db_cursor.execute("INSERT INTO %s (time, tower_id, name) VALUES ('%s', %d, '%s')" % (constants.core.DB_TABLE_HIGHSCORE, self.millis, self.tower_id, ""))
		db_conn.commit()
		db_conn.close()
	