import pygame
pygame.init()


class Tower(pygame.sprite.Group):
	def __init__(
		self,
		_data):
		"""
		
		"""
		super(
			Tower,
			self).__init__()
			
		self.data = _data
		
		self.line_left = pygame.sprite.Sprite()
		self.line_left.image = pygame.Surface((
			self.data["tower_lines"]["line_left"]["width"],
			self.data["tower_lines"]["line_left"]["height"]))
		self.line_left.image.fill(self.data["tower_lines"]["colour"])
			
		self.line_left.rect = self.line_left.image.get_rect()
		self.line_left.rect.left = self.data["tower_lines"]["line_left"]["left"]
		self.line_left.rect.top = self.data["tower_lines"]["line_left"]["top"]
					
		self.line_right = pygame.sprite.Sprite()
		self.line_right.image = pygame.Surface((
			self.data["tower_lines"]["line_right"]["width"],
			self.data["tower_lines"]["line_right"]["height"]))
		self.line_right.image.fill(self.data["tower_lines"]["colour"])
			
		self.line_right.rect = self.line_right.image.get_rect()
		self.line_right.rect.left = self.data["tower_lines"]["line_right"]["left"]
		self.line_right.rect.top = self.data["tower_lines"]["line_right"]["top"]
		
		self.add(self.line_left)
		self.add(self.line_right)
		
		self.blocks = []
		
		
	def update_blocks(
		self,
		_block_colour):
		"""
		
		"""
		if len(self.blocks) >= 20:
			self.blocks = self.blocks[1:]
		self.blocks.append(self.create_block(_block_colour))
		
		bottom = 1024
		left = 305
		for b in self.blocks:
			b.rect.bottom = bottom
			b.rect.left = 305
			bottom -= 50
	
	def create_block(
		self,
		_block_colour):
		block = pygame.sprite.Sprite()
		block.image = pygame.Surface((50, 50))
		block.image.fill(_block_colour)
		block.rect = block.image.get_rect()
		return block
			
		