# Contains core constants for the game

# WINDOW DIMENSIONS
WIDTH = 1280
HEIGHT = 1024
WINDOW_DIMENSIONS = (WIDTH, HEIGHT)

# UPDATE RATE (GAMELOOP)
FPS = 60
MS_PER_FRAME = 1000 / FPS

# SOME STANDARD COLOURS
WHITE = (255, 255, 255)
BLACK = (0, 0, 0)
RED = (255, 0, 0)
BRIGHT_RED = (255, 100, 100)
YELLOW = (255, 255, 0)
BRIGHT_YELLOW = (255, 255, 100)
BLUE = (0, 0, 255)
BRIGHT_BLUE = (100, 100, 255)
GREEN = (0, 255, 0)
BRIGHT_GREEN = (100, 255, 100)
PURPLE = (255, 0, 255)
BRIGHT_PURPLE = (255, 100, 255)
GREY = (125, 125, 125)
BRIGHT_GREY = (175, 175, 175)
ORANGE = (250, 100, 0)

# FILE DIRECTORIES
FONT_DIR = "fonts"

# DATABASE
DB_DIR = "db"
DB_NAME = "colour_tower.db"

DB_TABLE_TOWER = "tower"
DB_TABLE_HIGHSCORE = "highscore"

DB_TABLE_TOWER_CREATE_STATEMENT = """
CREATE TABLE IF NOT EXISTS tower
	(id INTEGER PRIMARY KEY AUTOINCREMENT,
	n_blocks INT,
	red INT,
	blue INT,
	yellow INT,
	green INT,
	grey INT,
	purple INT,
	sequence TEXT)
"""

DB_TABLE_HIGHSCORE_CREATE_STATEMENT = """
CREATE TABLE IF NOT EXISTS highscore
	(id INTEGER PRIMARY KEY AUTOINCREMENT,
	time INT,
	tower_id INT,
	name TEXT)
"""

# MAP COLOURS TO INTEGERS AND VICE VERCA
LOOKUP_COLOUR_NUMBER = {
	"red": "1",
	"blue": "2",
	"yellow": "3",
	"green": "4",
	"grey": "5",
	"purple": "6"}

LOOKUP_NUMBER_COLOUR = {
	"1": "red",
	"2": "blue",
	"3": "yellow",
	"4": "green",
	"5": "grey",
	"6": "purple" }
	
LOOKUP_COLOUR_COLOUR = {
	"red": RED,
	"blue": BLUE,
	"yellow": YELLOW,	
	"green": GREEN,
	"grey": GREY,
	"purple": PURPLE
}