import constants.core

SCENE_DATA = {
	"type": "generate_scene",
	"data": {	
		"menu_scene_data": {
			"bg_colour": constants.core.WHITE,			
			"heading": {
				"label": "GENERATE",
				"font": "ZillaSlab-Regular.ttf",
				"font_size": 50,
				"fgcolour": constants.core.BLACK,
				"bgcolour": constants.core.YELLOW,
				"pos_anchor": "centerxy",
				"pos_x": 640,
				"pos_y": 100
			},
			"menu_items": {
				"play": {
					"label": "GENERATE",
					"font": "ZillaSlab-Regular.ttf",
					"font_size": 39,
					"fgcolour": constants.core.BLACK,
					"bgcolour": constants.core.GREY,
					"hover_fgcolour": constants.core.GREY,
					"hover_bgcolour": constants.core.BLACK,
					"hover_font_size": 42,
					"pos_anchor": "centerxy",
					"pos_x": 640,
					"pos_y": 780,
					"return_value": "scene_generate_tower"
				},
				"generate": {
					"label": "RETURN",
					"font": "ZillaSlab-Regular.ttf",
					"font_size": 39,
					"fgcolour": constants.core.BLACK,
					"bgcolour": constants.core.GREY,
					"hover_fgcolour": constants.core.GREY,
					"hover_bgcolour": constants.core.BLACK,
					"hover_font_size": 42,
					"pos_anchor": "centerxy",
					"pos_x": 640,
					"pos_y": 830,
					"return_value": "scene_main_menu"
				}		
			}
		},
		"generate_scene_data": {
			"headings": [
				{
					"label": "CHOOSE TOWER RECTANGLES:",
					"font": "ZillaSlab-Regular.ttf",
					"font_size": 29,
					"fgcolour": constants.core.BLACK,
					"pos_anchor": "centerxy",
					"pos_x": 640,
					"pos_y": 200
				},
				{
					"label": "CHOOSE AMOUNT OF TOWER BLOCKS:",
					"font": "ZillaSlab-Regular.ttf",
					"font_size": 29,
					"fgcolour": constants.core.BLACK,
					"pos_anchor": "centerxy",
					"pos_x": 640,
					"pos_y": 600				
				}
			],
			"tower_rectangles": {
				"rectangle_red": {
					"colour": "red",
					"base_data": {
						"width": 50,
						"height": 50,
						"colour": constants.core.RED,
						"centerxy": (640, 250)
					},
					"advanced_data": {
						"width": 60,
						"height": 60,
						"colour": constants.core.BRIGHT_RED,
						"centerxy": (640, 250)
					},
					"chosen_data": {
						"width": 60,
						"height": 60,
						"colour": constants.core.RED,
						"centerxy": (640, 250)					
					}
				},
				"rectangle_blue": {
					"colour": "blue",
					"base_data": {
						"width": 50,
						"height": 50,
						"colour": constants.core.BLUE,
						"centerxy": (640, 310)
					},
					"advanced_data": {
						"width": 60,
						"height": 60,
						"colour": constants.core.BRIGHT_BLUE,
						"centerxy": (640, 310)							
					},
					"chosen_data": {
						"width": 60,
						"height": 60,
						"colour": constants.core.BLUE,
						"centerxy": (640, 310)						
					}
				},
				"rectangle_green": {
					"colour": "green",
					"base_data": {
						"width": 50,
						"height": 50,
						"colour": constants.core.GREEN,
						"centerxy": (640, 370)
					},
					"advanced_data": {
						"width": 60,
						"height": 60,
						"colour": constants.core.BRIGHT_GREEN,
						"centerxy": (640, 370)							
					},
					"chosen_data": {
						"width": 60,
						"height": 60,
						"colour": constants.core.GREEN,
						"centerxy": (640, 370)					
					}
				},
				"rectangle_yellow": {
					"colour": "yellow",
					"base_data": {
						"width": 50,
						"height": 50,
						"colour": constants.core.YELLOW,
						"centerxy": (640, 430)
					},
					"advanced_data": {
						"width": 60,
						"height": 60,
						"colour": constants.core.BRIGHT_YELLOW,
						"centerxy": (640, 430)							
					},
					"chosen_data": {
						"width": 60,
						"height": 60,
						"colour": constants.core.YELLOW,
						"centerxy": (640, 430)					
					}
				},
				"rectangle_purple": {
					"colour": "purple",
					"base_data": {
						"width": 50,
						"height": 50,
						"colour": constants.core.PURPLE,
						"centerxy": (640, 490)
					},
					"advanced_data": {
						"width": 60,
						"height": 60,
						"colour": constants.core.BRIGHT_PURPLE,
						"centerxy": (640, 490)							
					},
					"chosen_data": {
						"width": 60,
						"height": 60,
						"colour": constants.core.PURPLE,
						"centerxy": (640, 490)					
					}					
				},
				"rectangle_grey": {
					"colour": "grey",
					"base_data": {
						"width": 50,
						"height": 50,
						"colour": constants.core.GREY,
						"centerxy": (640, 550)
					},
					"advanced_data": {
						"width": 60,
						"height": 60,
						"colour": constants.core.BRIGHT_GREY,
						"centerxy": (640, 550)							
					},
					"chosen_data": {
						"width": 60,
						"height": 60,
						"colour": constants.core.GREY,
						"centerxy": (640, 550)					
					}					
				}
			},
			"entry_field_increment_decrement":{
				"n_blocks": 0,
				"buttons": {
					"increment": {
						"label": "+",
						"font": "ZillaSlab-Regular.ttf",
						"font_size": 39,
						"fgcolour": constants.core.BLACK,
						"bgcolour": constants.core.GREY,
						"hover_fgcolour": constants.core.GREY,
						"hover_bgcolour": constants.core.BLACK,
						"hover_font_size": 42,
						"pos_anchor": "centerxy",
						"pos_x": 640,
						"pos_y": 640,
						"return_value": "generate"					
					},
					"decrement": {
						"label": "-",
						"font": "ZillaSlab-Regular.ttf",
						"font_size": 39,
						"fgcolour": constants.core.BLACK,
						"bgcolour": constants.core.GREY,
						"hover_fgcolour": constants.core.GREY,
						"hover_bgcolour": constants.core.BLACK,
						"hover_font_size": 42,
						"pos_anchor": "centerxy",
						"pos_x": 640,
						"pos_y": 730,
						"return_value": "generate"					
					}
				},
				"current_number": {
					"label": "0",
					"font": "ZillaSlab-Regular.ttf",
					"font_size": 50,
					"fgcolour": constants.core.BLACK,
					"pos_anchor": "centerxy",
					"pos_x": 640,
					"pos_y": 680				
				}
			}
		}
	}
}